# Jaxer.Request : Object
Return to: Jaxer Framework index

An instance of this object has the lifecycle of the current request and contains information about it.

## Platform Support

Jaxer Server Framework | Jaxer Client Framework
--- | ---
1.0 | no

## Constructors

Constructor | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
Jaxer.Request Constructor(Object evt) : Jaxer.Request An instance of this object has the lifecycle of the current request and contains information about it. | Show Details | 1.0 | no

### Jaxer.Request(Object evt) : Jaxer.Request

An instance of this object has the lifecycle of the current request and contains information about it.

Parameters

Object | evt | The core event whose data is used to initialize this Request object instance

Returns

Jaxer.Request | Returns an instance of Request.

## Properties

Property | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
appKey : String A string used to identify what application the current request is asking for (Advanced) | No Details | 1.0 | no

Visibility
  advanced

pageKey : String A string used to identify what page in the application the current request is asking for (Advanced) | No Details | 1.0 | no

Visibility
  advanced

app : Jaxer.App The Jaxer.App object constructed by searching in configApps.js for an object that matches the current request's parsedUrl and using it to set application-specific settings (such as the database connection to use) during this request | No Details | 1.0 | no

current : Jaxer.Util.Url.parsedUrl Holds the parsed URL information of the current page, which on a callback is different from the original page. | Show Details | 1.0 | no

See Also

  Jaxer.Request.parsedUrl

currentFolder : String The folder (directory) on disk holding the file (pageFile) being served in this request. This is '' if there is no pageFile information, e.g. if the web server is on a different filesystem than Jaxer. | No Details | 1.0 | no

data : Object An object holding the name=value pairs of the current request's body (assumed to be of type application/x-www-form-urlencoded) as properties | No Details | 1.0 | no

documentRoot : String The location on disk of the top folder from which all web pages are served by the web server, as an absolute URL (without the preceding file://). This is usually only meaningful if the web server is on the same filesystem as Jaxer. | No Details | 1.0 | no

env : Object A collection of the environment variables received from the web server for this request, as properties on this simple JavaScript object. If multiple variables had the same name, their values are given as an array. | No Details | 1.0 | no

files : Array An array of Jaxer.Request.FileInfo objects describing any uploaded files. You must call save(newFileName) on each of these if you'd like to save them, otherwise they will be purged at the end of the request. | Show Details | 1.0 | no

See Also

  Jaxer.FileInfo.prototype.save

headers : Object A collection of the HTTP headers received from the web server for this request, as properties on this simple JavaScript object. If multiple headers had the same name, their values are given as an array. | No Details | 1.0 | no

isHandler : Boolean True if Jaxer is the main "handler" for the current request, rather than is filtering a page served by a different handler. Currently, Jaxes is only a handler for callback requests. | No Details | 1.0 | no

isHTTPS : Boolean Whether the current page is being requested and served over the HTTPS protocol. | No Details | 1.0 | no

method : String The type of HTTP request this is: usually "GET" or "POST". | No Details | 1.0 | no

pageFile : String The location on disk of the current page's file, served by the web server, as an absolute URL (without the preceding file://). This is usually only meaningful if the web server is on the same filesystem as Jaxer. | No Details | 1.0 | no

paramIsPost : Boolean True if the entire body (for a POST) request is to be considered as the single data parameter of this request. | No Details | 1.0 | no

parsedUrl : Jaxer.Util.Url.parsedUrl Holds the parsed URL information of the true page: this is the current URL for a regularly-served page, but for a callback this is the URL of the original page (now the Referer) that requested the callback. | No Details | 1.0 | no

postData : String The body of the HTTP request, which usually contains the data during a POST request, and is often of type "application/x-www-form-urlencoded" (i.e. "name1=value1&name2=value2&..."). | No Details | 1.0 | no

protocol : String The protocol declared in the HTTP request, e.g. "HTTP/1.1". | No Details | 1.0 | no

queryString : String The query part of the current request's URL, after the "?". This is also available as Jaxer.request.parsedUrl.query and is parsed into the JavaScript object Jaxer.request.parsedUrl.queryParts. | No Details | 1.0 | no

referer : String The value of the Referer HTTP header for this request, which should indicate the complete URL of the page that made this request. If this is a callback, the referer is taken from the "callingPage" parameter of the request, only using the Referer header if for some reason "callingPage" is not available. | No Details | 1.0 | no

remoteAddr : String The Internet Protocol (IP) address of the client (browser) that sent the request. | No Details | 1.0 | no

remoteHost : String The name of the client (browser) that sent the request, or the IP address of the client if the name cannot be determined. | No Details | 1.0 | no

remoteUser : String If the browser making the request submitted HTTP authentication credentials, this is the username submitted. Otherwise it is the empty string. | No Details | 1.0 | no

uri : String The URL (and URI) of the current request. | No Details | 1.0 | no

## Functions

Method | Action | Jaxer Server Framework | Jaxer Client Framework
--- | --- | --- | ---
compileScript(String contents, [Object global,] [String effectiveUrl]) : String Low-level method to compile a string of JavaScript source code in a given global context and with a certain effectiveUrl as its "file". | Show Details | 1.0 | no

Parameters

String | contents | The string of script code to evaluate
Object | global | (optional)An optional global context (usually a window object) in which to evaluate it
String | effectiveUrl | (optional)An optional parameter to indicate (e.g. in error messages) the effective URL from which this code originates.

Returns

String | The compiled code

See Also

  Jaxer.Includer.compile

evaluateCompiledScript(String compiledContents, [Object global]) : Object Low-level method to evaluate a string of compiled JavaScript code in a given global context. | Show Details | 1.0 | no

Parameters

String | compiledContents | The bytecode string of script code to evaluate
Object | global | (optional)An optional global context (usually a window object) in which to evaluate it

Returns

Object | The result of the evaluation, if any

See Also

  Jaxer.Includer.evalCompiledOn

evaluateScript(String contents, [Object global,] [String effectiveUrl]) : Object Low-level method to evaluate a string of JavaScript source code in a given global context and with a certain effectiveUrl as its "file". | Show Details | 1.0 | no

Parameters

String | contents | The string of script code to evaluate
Object | global | (optional)An optional global context (usually a window object) in which to evaluate it
String | effectiveUrl | (optional)An optional parameter to indicate (e.g. in error messages) the effective URL from which this code originates.

Returns

Object | The result of the evaluation, if any

See Also

  Jaxer.Includer.evalOn

aptana_docs